hpp-constraints: Eigen::internal::assign_selector< Derived, MatrixBlockView< ArgType, _Rows, _Cols, _allRows, _allCols >, false, true > Struct Template Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
Eigen::internal::assign_selector< Derived, MatrixBlockView< ArgType, _Rows, _Cols, _allRows, _allCols >, false, true > Struct Template Reference

`#include <hpp/constraints/matrix-view.hh>`

## Public Types
typedef MatrixBlockView< ArgType, _Rows, _Cols, _allRows, _allCols > | OtherDerived

## Static Public Member Functions
static EIGEN_STRONG_INLINE Derived & | run (Derived &dst, const OtherDerived &other)
template<typename ActualDerived , typename ActualOtherDerived >
static EIGEN_STRONG_INLINE Derived & | evalTo (ActualDerived &dst, const ActualOtherDerived &other)

## Member Typedef Documentation

## ◆ OtherDerived

template<typename Derived , typename ArgType , int _Rows, int _Cols, bool _allRows, bool _allCols>

typedef MatrixBlockView<ArgType, _Rows, _Cols, _allRows, _allCols> Eigen::internal::assign_selector< Derived, MatrixBlockView< ArgType, _Rows, _Cols, _allRows, _allCols >, false, true >::OtherDerived

## Member Function Documentation

## ◆ evalTo()

template<typename Derived , typename ArgType , int _Rows, int _Cols, bool _allRows, bool _allCols>
template<typename ActualDerived , typename ActualOtherDerived >

static EIGEN_STRONG_INLINE Derived & Eigen::internal::assign_selector< Derived, MatrixBlockView< ArgType, _Rows, _Cols, _allRows, _allCols >, false, true >::evalTo | ( | ActualDerived & | dst,
|  | const ActualOtherDerived & | other )
| inline static

## ◆ run()

template<typename Derived , typename ArgType , int _Rows, int _Cols, bool _allRows, bool _allCols>

static EIGEN_STRONG_INLINE Derived & Eigen::internal::assign_selector< Derived, MatrixBlockView< ArgType, _Rows, _Cols, _allRows, _allCols >, false, true >::run | ( | Derived & | dst,
|  | const OtherDerived & | other )
| inline static

The documentation for this struct was generated from the following file:

- include/hpp/constraints/matrix-view.hh